# Interface IDoneBuildingQueryEventArgs

Argument sent to all handlers bound on QueryEvents.doneBuildingQuery

## Index

### Properties

- cancel
- queryBuilder
- searchAsYouType

## Properties

### cancel

cancel: boolean

- Defined in events/QueryEvents.ts :57

If this property is set to true by any handlers, the query will not be executed.

### queryBuilder

queryBuilder: QueryBuilder

- Defined in events/QueryEvents.ts :49

Allow handlers to modify the query by using the QueryBuilder

### searchAsYouType

searchAsYouType: boolean

- Defined in events/QueryEvents.ts :53

Whether the query is a search-as-you-type

### Hierarchy

- IDoneBuildingQueryEventArgs